package im.zego.realtimetranslationdemo;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.IBinder;
import android.util.Log;

import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;

/**
 * 用来保活
 */
public class ForegroundService extends Service {
    public ForegroundService() {
    }
    private static final String TAG = "ForegroundService";
    private static final int SERVICE_ID = 1;

    @Override
    public void onCreate() {
        Log.i(TAG, "[onCreate]");
        createNotificationChannel();
    }

    @Override
    public void onDestroy() {
        Log.i(TAG, "[onDestroy]");
        stopForeground(true);
        super.onDestroy();
    }

    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    private void createNotificationChannel() {
        Notification.Builder builder = new Notification.Builder(this.getApplicationContext()); //获取一个Notification构造器
        builder.setWhen(System.currentTimeMillis()) // 设置该通知发生的时间
                .setOngoing(true)
                .setVisibility(Notification.VISIBILITY_PUBLIC);

        /*以下是对Android 8.0的适配*/
        //普通notification适配
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            builder.setChannelId("notification_id");
            NotificationManager notificationManager = (NotificationManager)getSystemService(Context.NOTIFICATION_SERVICE);
            NotificationChannel channel = new NotificationChannel("notification_id", "notification_name", NotificationManager.IMPORTANCE_DEFAULT);
            notificationManager.createNotificationChannel(channel);
        }
        Notification notification = builder.build(); // 获取构建好的Notification
        startForeground(SERVICE_ID, notification);
    }
}