package im.zego.realtimetranslationdemo;

import android.util.SparseArray;

import im.zego.realtimetranslation.ZegoRealtimeTranslationError;
import im.zego.realtimetranslation.ZegoSpeechLanguage;
import im.zego.realtimetranslation.ZegoRTServiceProvider;
import im.zego.realtimetranslation.ZegoTranslationLanguage;

public class ZegoConstants {
    public static final String USERID_PARAMS = "user_id";
    public static final String USERNAME_PARAMS = "user_name";
    public static final String ROOM_ID_PARAMS = "room_id";
    public static final String ROOM_NAME_PARAMS = "room_name";
    public static final String IS_HOST_PARAMS = "is_host";

    public static final int MAX_HOST_NUMBER = 2; // 最大主播人数
    public static final String[] providerStrings = new String[]{"科大讯飞", "谷歌", "云上曲率"};
    public static final ZegoRTServiceProvider[] providerList = new ZegoRTServiceProvider[]{ZegoRTServiceProvider.Iflytek, ZegoRTServiceProvider.Google, ZegoRTServiceProvider.LiveData};
    public static final SparseArray<String> errorMap = new SparseArray<>();
    static {
        errorMap.put(ZegoRealtimeTranslationError.INVALID_LICENSE, "无效的License");
        errorMap.put(ZegoRealtimeTranslationError.LICENSE_EXPIRED, "License已过期");
        errorMap.put(ZegoRealtimeTranslationError.INVALID_PACKAGE_NAME, "使用的license对应的包名不合法");
        errorMap.put(ZegoRealtimeTranslationError.ALREADY_STARTED, "已经启动了语音识别");
        errorMap.put(ZegoRealtimeTranslationError.CLASS_NOT_FOUND, "未找到对应的类");
        errorMap.put(ZegoRealtimeTranslationError.SPEECH_LANGUAGE_NOT_SUPPORT, "语音识别不支持该语言");
        errorMap.put(ZegoRealtimeTranslationError.NO_NETWORK, "没有网络");
        errorMap.put(ZegoRealtimeTranslationError.NETWORK_ERROR, "网络错误");
        errorMap.put(ZegoRealtimeTranslationError.REQUEST_TIME_OUT, "请求超时");
        errorMap.put(ZegoRealtimeTranslationError.INVALID_ACCOUNT, "无效的账号");
        errorMap.put(ZegoRealtimeTranslationError.QUOTA_EXCEEDED, "使用额度已超过");
        errorMap.put(ZegoRealtimeTranslationError.UNKNOWN_ERROR, "未知的错误");
        errorMap.put(ZegoRealtimeTranslationError.SOURCE_LANG_EQUAL_TO_LANG, "源语言和目标语言相同");
        errorMap.put(ZegoRealtimeTranslationError.WRONG_REQUEST, "错误的请求");
        errorMap.put(ZegoRealtimeTranslationError.WRONG_TRANSLATE_REQUEST, "科大讯飞要求翻译的语言必须有一门是中文");
        errorMap.put(ZegoRealtimeTranslationError.TRANSLATE_SERVICE_LICENSE_FAILED, "翻译的服务未授权或已过期");
        errorMap.put(ZegoRealtimeTranslationError.SPEECH_TO_TEXT_SERVICE_LICENSE_FAILED, "语音识别的服务未授权或已过期");
        errorMap.put(ZegoRealtimeTranslationError.SOURCE_LANGUAGE_CANNOT_TRANSLATE_TO_TARGET_LANGUAGE, "不支持源语言与目标语言的互译");
    }
    // 谷歌语音识别支持的语言
    public static final SpeechLanguage[] googleSttLanguages = new SpeechLanguage[] {
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN, "中文(普通话，简体)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_US, "英语(美国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ja_JP, "日语(日本)"),
            new SpeechLanguage(ZegoSpeechLanguage.yue_CN, "粤语(中国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ko_KR, "韩语(韩国)"),
            new SpeechLanguage(ZegoSpeechLanguage.th_TH, "泰语(泰国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ru_RU, "俄语(俄罗斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_DE, "德语(德国)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_ES, "西班牙语(西班牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_AE, "阿拉伯语(阿拉伯联合酋长国)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_FR, "法语(法国)"),
            new SpeechLanguage(ZegoSpeechLanguage.vi_VN, "越南语(越南)"),
            new SpeechLanguage(ZegoSpeechLanguage.af_ZA, "南非荷兰语"),
            new SpeechLanguage(ZegoSpeechLanguage.am_ET, "阿姆哈拉语(埃塞俄比亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_BH, "阿拉伯语(巴林)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_DZ, "阿拉伯语(阿尔及利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_EG, "阿拉伯语(埃及)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_IL, "阿拉伯语(以色列)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_IQ, "阿拉伯语(伊拉克)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_JO, "阿拉伯语(约旦)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_KW, "阿拉伯语(科威特)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_LB, "阿拉伯语(黎巴嫩)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_MA, "阿拉伯语(摩洛哥)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_OM, "阿拉伯语(阿曼)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_PS, "阿拉伯语(巴勒斯坦占领区)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_QA, "阿拉伯语(卡塔尔)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_SA, "阿拉伯语(沙特阿拉伯)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_TN, "阿拉伯语(突尼斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_YE, "阿拉伯语(也门)"),
            new SpeechLanguage(ZegoSpeechLanguage.az_AZ, "阿塞拜疆语(阿塞拜疆)"),
            new SpeechLanguage(ZegoSpeechLanguage.bg_BG, "保加利亚语(保加利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.bn_BD, "孟加拉语(孟加拉国)"),
            new SpeechLanguage(ZegoSpeechLanguage.bn_IN, "孟加拉语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.bs_BA, "波斯尼亚语(波斯尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ca_ES, "加泰罗尼亚语(西班牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.cs_CZ, "捷克语(捷克)"),
            new SpeechLanguage(ZegoSpeechLanguage.da_DK, "丹麦语(丹麦)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_AT, "德语(奥地利)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_CH, "德语(瑞士)"),
            new SpeechLanguage(ZegoSpeechLanguage.el_GR, "希腊语(希腊)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_AU, "英语(澳大利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_CA, "英语(加拿大)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_GB, "英语(英国)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_GH, "英语(加纳)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_HK, "英语(香港特别行政区)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_IE, "英语(爱尔兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_IN, "英语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_KE, "英语(肯尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_NG, "英语(尼日利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_NZ, "英语(新西兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_PH, "英语(菲律宾)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_SG, "英语(新加坡)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_TZ, "英语(坦桑尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_ZA, "英语(南非)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_AR, "西班牙语(阿根廷)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_BO, "西班牙语(玻利维亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CL, "西班牙语(智利)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CO, "西班牙语(哥伦比亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CR, "西班牙语(哥斯达黎加)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_DO, "西班牙语(多米尼加共和国)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_EC, "西班牙语(厄瓜多尔)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_GT, "西班牙语(危地马拉)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_HN, "西班牙语(洪都拉斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_MX, "西班牙语(墨西哥)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_NI, "西班牙(尼加拉瓜)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PA, "西班牙语(巴拿马)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PE, "西班牙语(秘鲁)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PR, "西班牙语(波多黎各)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PY, "西班牙语(巴拉圭)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_SV, "西班牙语(萨尔瓦多)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_US, "西班牙语(美国)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_UY, "西班牙语(乌拉圭)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_VE, "西班牙语(委内瑞拉)"),
            new SpeechLanguage(ZegoSpeechLanguage.et_EE, "爱沙尼亚语(爱沙尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.eu_ES, "巴斯克语"),
            new SpeechLanguage(ZegoSpeechLanguage.fa_IR, "波斯语(伊朗)"),
            new SpeechLanguage(ZegoSpeechLanguage.fi_FI, "芬兰语(芬兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.fil_PH, "菲律宾语(菲律宾)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_BE, "法语(比利时)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_CA, "法语(加拿大)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_CH, "法语(瑞士)"),
            new SpeechLanguage(ZegoSpeechLanguage.gl_ES, "加利西亚语"),
            new SpeechLanguage(ZegoSpeechLanguage.gu_IN, "古吉拉特语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.he_IL, "希伯来语(以色列)"),
            new SpeechLanguage(ZegoSpeechLanguage.hi_IN, "印地语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.hr_HR, "克罗地亚语(克罗地亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.hu_HU, "匈牙利语(匈牙利)"),
            new SpeechLanguage(ZegoSpeechLanguage.hy_AM, "亚美尼亚语(亚美尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.id_ID, "印度尼西亚语(印度尼西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.is_IS, "冰岛语(冰岛)"),
            new SpeechLanguage(ZegoSpeechLanguage.it_CH, "意大利语(瑞士)"),
            new SpeechLanguage(ZegoSpeechLanguage.it_IT, "意大利语(意大利)"),
            new SpeechLanguage(ZegoSpeechLanguage.jv_ID, "爪哇语(印度尼西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ka_GE, "格鲁吉亚语(格鲁吉亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.kk_KZ, "哈萨克语(哈萨克斯坦)"),
            new SpeechLanguage(ZegoSpeechLanguage.km_KH, "高棉语(柬埔寨)"),
            new SpeechLanguage(ZegoSpeechLanguage.kn_IN, "卡纳达语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.lo_LA, "老挝语(老挝)"),
            new SpeechLanguage(ZegoSpeechLanguage.lt_LT, "立陶宛语(立陶宛)"),
            new SpeechLanguage(ZegoSpeechLanguage.lv_LV, "拉脱维亚语(拉脱维亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.mk_MK, "马其顿语(北马其顿共和国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ml_IN, "马拉雅拉姆语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.mn_MN, "蒙古语(蒙古)"),
            new SpeechLanguage(ZegoSpeechLanguage.mr_IN, "马拉地语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.ms_MY, "马来语(马来西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.my_MM, "缅甸语(缅甸)"),
            new SpeechLanguage(ZegoSpeechLanguage.nb_NO, "挪威语(博克马尔语，挪威)"),
            new SpeechLanguage(ZegoSpeechLanguage.ne_NP, "尼泊尔语(尼泊尔)"),
            new SpeechLanguage(ZegoSpeechLanguage.nl_BE, "荷兰语(比利时)"),
            new SpeechLanguage(ZegoSpeechLanguage.nl_NL, "荷兰语(荷兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.pl_PL, "波兰语(波兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.pt_BR, "葡萄牙语(巴西)"),
            new SpeechLanguage(ZegoSpeechLanguage.pt_PT, "葡萄牙语(葡萄牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.ro_RO, "罗马尼亚语(罗马尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.si_LK, "僧伽罗语(斯里兰卡)"),
            new SpeechLanguage(ZegoSpeechLanguage.sk_SK, "斯洛伐克语(斯洛伐克)"),
            new SpeechLanguage(ZegoSpeechLanguage.sl_SI, "斯洛文尼亚语(斯洛文尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sq_AL, "阿尔巴尼亚语(阿尔巴尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sr_RS, "塞尔维亚语(塞尔维亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.su_ID, "巽他语(印度尼西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sv_SE, "瑞典语(瑞典)"),
            new SpeechLanguage(ZegoSpeechLanguage.sw_KE, "斯瓦希里语(肯尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sw_TZ, "斯瓦希里语(坦桑尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ta_IN, "泰米尔语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.ta_LK, "泰米尔语(斯里兰卡)"),
            new SpeechLanguage(ZegoSpeechLanguage.ta_MY, "泰米尔语(马来西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ta_SG, "泰米尔语(新加坡)"),
            new SpeechLanguage(ZegoSpeechLanguage.te_IN, "泰卢固语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.tr_TR, "土耳其语(土耳其)"),
            new SpeechLanguage(ZegoSpeechLanguage.uk_UA, "乌克兰语(乌克兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.ur_IN, "乌尔都语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.ur_PK, "乌尔都语(巴基斯坦)"),
            new SpeechLanguage(ZegoSpeechLanguage.uz_UZ, "乌兹别克语(乌兹别克斯坦)"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_HK, "中文(粤语，繁体)"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_TW, "中文(台湾普通话)"),
            new SpeechLanguage(ZegoSpeechLanguage.zu_ZA, "祖鲁语(南非)")
    };

    // 谷歌翻译支持的语言
    public static final TranslationLanguage[] googleTransLanguages = new TranslationLanguage[] {
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hans, "简体中文"),
            new TranslationLanguage(ZegoTranslationLanguage.en, "英语"),
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hant, "中文(繁体)"),
            new TranslationLanguage(ZegoTranslationLanguage.af, "南非荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.am, "阿姆哈拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.ar, "阿拉伯语"),
            new TranslationLanguage(ZegoTranslationLanguage.as, "阿萨姆语"),
            new TranslationLanguage(ZegoTranslationLanguage.az, "阿塞拜疆语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.be, "白俄罗斯语"),
            new TranslationLanguage(ZegoTranslationLanguage.bg, "保加利亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.bn, "孟加拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.bs, "波斯尼亚语(拉丁语系)"),
            new TranslationLanguage(ZegoTranslationLanguage.ca, "加泰罗尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.cs, "捷克语"),
            new TranslationLanguage(ZegoTranslationLanguage.cy, "威尔士语"),
            new TranslationLanguage(ZegoTranslationLanguage.da, "丹麦语"),
            new TranslationLanguage(ZegoTranslationLanguage.de, "德语"),
            new TranslationLanguage(ZegoTranslationLanguage.dv, "马尔代夫语"),
            new TranslationLanguage(ZegoTranslationLanguage.el, "希腊语"),
            new TranslationLanguage(ZegoTranslationLanguage.es, "西班牙语"),
            new TranslationLanguage(ZegoTranslationLanguage.et, "爱沙尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.eu, "巴斯克语"),
            new TranslationLanguage(ZegoTranslationLanguage.fa, "波斯语"),
            new TranslationLanguage(ZegoTranslationLanguage.fi, "芬兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.fil, "菲律宾语"),
            new TranslationLanguage(ZegoTranslationLanguage.fr, "法语"),
            new TranslationLanguage(ZegoTranslationLanguage.ga, "爱尔兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.gl, "加利西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.gu, "古吉拉特语"),
            new TranslationLanguage(ZegoTranslationLanguage.he, "希伯来语"),
            new TranslationLanguage(ZegoTranslationLanguage.hi, "印地语"),
            new TranslationLanguage(ZegoTranslationLanguage.hr, "克罗地亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ht, "海地克里奥尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.hu, "匈牙利语"),
            new TranslationLanguage(ZegoTranslationLanguage.hy, "亚美尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.id, "印度尼西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.is, "冰岛语"),
            new TranslationLanguage(ZegoTranslationLanguage.it, "意大利语"),
            new TranslationLanguage(ZegoTranslationLanguage.ja, "日语"),
            new TranslationLanguage(ZegoTranslationLanguage.ka, "格鲁吉亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.kk, "哈萨克语"),
            new TranslationLanguage(ZegoTranslationLanguage.km, "高棉语"),
            new TranslationLanguage(ZegoTranslationLanguage.kn, "卡纳达语"),
            new TranslationLanguage(ZegoTranslationLanguage.ko, "韩语"),
            new TranslationLanguage(ZegoTranslationLanguage.ku, "库尔德语(中部)"),
            new TranslationLanguage(ZegoTranslationLanguage.ky, "吉尔吉斯语(西里尔语)"),
            new TranslationLanguage(ZegoTranslationLanguage.lo, "老挝语"),
            new TranslationLanguage(ZegoTranslationLanguage.lt, "立陶宛语"),
            new TranslationLanguage(ZegoTranslationLanguage.lv, "拉脱维亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.mg, "马达加斯加语"),
            new TranslationLanguage(ZegoTranslationLanguage.mi, "毛利语"),
            new TranslationLanguage(ZegoTranslationLanguage.mk, "马其顿语"),
            new TranslationLanguage(ZegoTranslationLanguage.ml, "马拉雅拉姆语"),
            new TranslationLanguage(ZegoTranslationLanguage.mn_Mong, "蒙古语(传统)"),
            new TranslationLanguage(ZegoTranslationLanguage.mr, "马拉地语"),
            new TranslationLanguage(ZegoTranslationLanguage.ms, "马来语(拉丁语系)"),
            new TranslationLanguage(ZegoTranslationLanguage.mt, "马耳他语"),
            new TranslationLanguage(ZegoTranslationLanguage.my, "缅甸"),
            new TranslationLanguage(ZegoTranslationLanguage.nb, "挪威语"),
            new TranslationLanguage(ZegoTranslationLanguage.ne, "尼泊尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.nl, "荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.or, "奥里亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.pa, "旁遮普语"),
            new TranslationLanguage(ZegoTranslationLanguage.pl, "波兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ps, "普什图语"),
            new TranslationLanguage(ZegoTranslationLanguage.pt, "葡萄牙语(巴西)"),
            new TranslationLanguage(ZegoTranslationLanguage.ro, "罗马尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ru, "俄语"),
            new TranslationLanguage(ZegoTranslationLanguage.sk, "斯洛伐克语"),
            new TranslationLanguage(ZegoTranslationLanguage.sl, "斯洛文尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sm, "萨摩亚语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.so, "索马里语(阿拉伯语)"),
            new TranslationLanguage(ZegoTranslationLanguage.sq, "阿尔巴尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sr_Latn, "塞尔维亚语(拉丁)"),
            new TranslationLanguage(ZegoTranslationLanguage.sv, "瑞典语"),
            new TranslationLanguage(ZegoTranslationLanguage.sw, "斯瓦希里语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.ta, "泰米尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.te, "泰卢固语"),
            new TranslationLanguage(ZegoTranslationLanguage.th, "泰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ti, "提格里尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.tk, "土库曼语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.tr, "土耳其语"),
            new TranslationLanguage(ZegoTranslationLanguage.tt, "鞑靼语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.ug, "维吾尔语(阿拉伯语)"),
            new TranslationLanguage(ZegoTranslationLanguage.uk, "乌克兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ur, "乌尔都语"),
            new TranslationLanguage(ZegoTranslationLanguage.uz, "乌兹别克语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.vi, "越南语"),
            new TranslationLanguage(ZegoTranslationLanguage.zu, "祖鲁语")
    };

    // 微软语音识别支持的语言
    public static final SpeechLanguage[] microsoftSttLanguages = new SpeechLanguage[] {
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN, "中文(普通话，简体)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_US, "英语(美国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ja_JP, "日语(日本)"),
            new SpeechLanguage(ZegoSpeechLanguage.yue_CN, "粤语(中国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ko_KR, "韩语(韩国)"),
            new SpeechLanguage(ZegoSpeechLanguage.th_TH, "泰语(泰国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ru_RU, "俄语(俄罗斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_DE, "德语(德国)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_ES, "西班牙语(西班牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_AE, "阿拉伯语(阿拉伯联合酋长国)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_FR, "法语(法国)"),
            new SpeechLanguage(ZegoSpeechLanguage.vi_VN, "越南语(越南)"),
            new SpeechLanguage(ZegoSpeechLanguage.af_ZA, "南非荷兰语"),
            new SpeechLanguage(ZegoSpeechLanguage.am_ET, "阿姆哈拉语(埃塞俄比亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_BH, "阿拉伯语(巴林)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_DZ, "阿拉伯语(阿尔及利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_EG, "阿拉伯语(埃及)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_IL, "阿拉伯语(以色列)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_IQ, "阿拉伯语(伊拉克)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_JO, "阿拉伯语(约旦)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_KW, "阿拉伯语(科威特)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_LB, "阿拉伯语(黎巴嫩)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_LY, "阿拉伯语(利比亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_MA, "阿拉伯语(摩洛哥)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_OM, "阿拉伯语(阿曼)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_PS, "阿拉伯语(巴勒斯坦占领区)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_QA, "阿拉伯语(卡塔尔)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_SA, "阿拉伯语(沙特阿拉伯)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_SY, "阿拉伯语(叙利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_TN, "阿拉伯语(突尼斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_YE, "阿拉伯语(也门)"),
            new SpeechLanguage(ZegoSpeechLanguage.az_AZ, "阿塞拜疆语(阿塞拜疆)"),
            new SpeechLanguage(ZegoSpeechLanguage.bg_BG, "保加利亚语(保加利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.bn_IN, "孟加拉语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.bs_BA, "波斯尼亚语(波斯尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ca_ES, "加泰罗尼亚语(西班牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.cs_CZ, "捷克语(捷克)"),
            new SpeechLanguage(ZegoSpeechLanguage.cy_GB, "威尔士语(英国)"),
            new SpeechLanguage(ZegoSpeechLanguage.da_DK, "丹麦语(丹麦)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_AT, "德语(奥地利)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_CH, "德语(瑞士)"),
            new SpeechLanguage(ZegoSpeechLanguage.el_GR, "希腊语(希腊)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_AU, "英语(澳大利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_CA, "英语(加拿大)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_GB, "英语(英国)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_GH, "英语(加纳)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_HK, "英语(香港特别行政区)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_IE, "英语(爱尔兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_IN, "英语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_KE, "英语(肯尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_NG, "英语(尼日利亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_NZ, "英语(新西兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_PH, "英语(菲律宾)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_SG, "英语(新加坡)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_TZ, "英语(坦桑尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_ZA, "英语(南非)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_AR, "西班牙语(阿根廷)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_BO, "西班牙语(玻利维亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CL, "西班牙语(智利)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CO, "西班牙语(哥伦比亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CR, "西班牙语(哥斯达黎加)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_CU, "西班牙语(古巴)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_DO, "西班牙语(多米尼加共和国)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_EC, "西班牙语(厄瓜多尔)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_GQ, "西班牙语(赤道几内亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_GT, "西班牙语(危地马拉)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_HN, "西班牙语(洪都拉斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_MX, "西班牙语(墨西哥)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_NI, "西班牙(尼加拉瓜)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PA, "西班牙语(巴拿马)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PE, "西班牙语(秘鲁)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PR, "西班牙语(波多黎各)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_PY, "西班牙语(巴拉圭)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_SV, "西班牙语(萨尔瓦多)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_US, "西班牙语(美国)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_UY, "西班牙语(乌拉圭)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_VE, "西班牙语(委内瑞拉)"),
            new SpeechLanguage(ZegoSpeechLanguage.et_EE, "爱沙尼亚语(爱沙尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.eu_ES, "巴斯克语"),
            new SpeechLanguage(ZegoSpeechLanguage.fa_IR, "波斯语(伊朗)"),
            new SpeechLanguage(ZegoSpeechLanguage.fi_FI, "芬兰语(芬兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.fil_PH, "菲律宾语(菲律宾)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_BE, "法语(比利时)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_CA, "法语(加拿大)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_CH, "法语(瑞士)"),
            new SpeechLanguage(ZegoSpeechLanguage.ga_IE, "爱尔兰语(爱尔兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.gl_ES, "加利西亚语"),
            new SpeechLanguage(ZegoSpeechLanguage.gu_IN, "古吉拉特语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.he_IL, "希伯来语(以色列)"),
            new SpeechLanguage(ZegoSpeechLanguage.hi_IN, "印地语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.hr_HR, "克罗地亚语(克罗地亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.hu_HU, "匈牙利语(匈牙利)"),
            new SpeechLanguage(ZegoSpeechLanguage.hy_AM, "亚美尼亚语(亚美尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.id_ID, "印度尼西亚语(印度尼西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.is_IS, "冰岛语(冰岛)"),
            new SpeechLanguage(ZegoSpeechLanguage.it_CH, "意大利语(瑞士)"),
            new SpeechLanguage(ZegoSpeechLanguage.it_IT, "意大利语(意大利)"),
            new SpeechLanguage(ZegoSpeechLanguage.jv_ID, "爪哇语(印度尼西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ka_GE, "格鲁吉亚语(格鲁吉亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.kk_KZ, "哈萨克语(哈萨克斯坦)"),
            new SpeechLanguage(ZegoSpeechLanguage.km_KH, "高棉语(柬埔寨)"),
            new SpeechLanguage(ZegoSpeechLanguage.kn_IN, "卡纳达语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.lo_LA, "老挝语(老挝)"),
            new SpeechLanguage(ZegoSpeechLanguage.lt_LT, "立陶宛语(立陶宛)"),
            new SpeechLanguage(ZegoSpeechLanguage.lv_LV, "拉脱维亚语(拉脱维亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.mk_MK, "马其顿语(北马其顿共和国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ml_IN, "马拉雅拉姆语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.mn_MN, "蒙古语(蒙古)"),
            new SpeechLanguage(ZegoSpeechLanguage.mr_IN, "马拉地语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.ms_MY, "马来语(马来西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.my_MM, "缅甸语(缅甸)"),
            new SpeechLanguage(ZegoSpeechLanguage.nb_NO, "挪威语(博克马尔语，挪威)"),
            new SpeechLanguage(ZegoSpeechLanguage.ne_NP, "尼泊尔语(尼泊尔)"),
            new SpeechLanguage(ZegoSpeechLanguage.nl_BE, "荷兰语(比利时)"),
            new SpeechLanguage(ZegoSpeechLanguage.nl_NL, "荷兰语(荷兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.pl_PL, "波兰语(波兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.ps_AF, "普什图语(阿富汗)"),
            new SpeechLanguage(ZegoSpeechLanguage.pt_BR, "葡萄牙语(巴西)"),
            new SpeechLanguage(ZegoSpeechLanguage.pt_PT, "葡萄牙语(葡萄牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.ro_RO, "罗马尼亚语(罗马尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.si_LK, "僧伽罗语(斯里兰卡)"),
            new SpeechLanguage(ZegoSpeechLanguage.sk_SK, "斯洛伐克语(斯洛伐克)"),
            new SpeechLanguage(ZegoSpeechLanguage.sl_SI, "斯洛文尼亚语(斯洛文尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sq_AL, "阿尔巴尼亚语(阿尔巴尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sr_RS, "塞尔维亚语(塞尔维亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sv_SE, "瑞典语(瑞典)"),
            new SpeechLanguage(ZegoSpeechLanguage.sw_KE, "斯瓦希里语(肯尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.sw_TZ, "斯瓦希里语(坦桑尼亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ta_IN, "泰米尔语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.te_IN, "泰卢固语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.tr_TR, "土耳其语(土耳其)"),
            new SpeechLanguage(ZegoSpeechLanguage.uk_UA, "乌克兰语(乌克兰)"),
            new SpeechLanguage(ZegoSpeechLanguage.uz_UZ, "乌兹别克语(乌兹别克斯坦)"),
            new SpeechLanguage(ZegoSpeechLanguage.wuu_CN, "吴语(中国)"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN_sichuan, "中文(西南普通话，简体)"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_HK, "中文(粤语，繁体)"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_TW, "中文(台湾普通话)"),
            new SpeechLanguage(ZegoSpeechLanguage.zu_ZA, "祖鲁语(南非)")
    };

    // 微软翻译支持的语言
    public static final TranslationLanguage[] microsoftTransLanguages = new TranslationLanguage[] {
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hans, "简体中文"),
            new TranslationLanguage(ZegoTranslationLanguage.en, "英语"),
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hant, "中文(繁体)"),
            new TranslationLanguage(ZegoTranslationLanguage.af, "南非荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.am, "阿姆哈拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.ar, "阿拉伯语"),
            new TranslationLanguage(ZegoTranslationLanguage.as, "阿萨姆语"),
            new TranslationLanguage(ZegoTranslationLanguage.az, "阿塞拜疆语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.ba, "巴什基尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.bg, "保加利亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.bn, "孟加拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.bo, "藏语"),
            new TranslationLanguage(ZegoTranslationLanguage.bs, "波斯尼亚语(拉丁语系)"),
            new TranslationLanguage(ZegoTranslationLanguage.ca, "加泰罗尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.cs, "捷克语"),
            new TranslationLanguage(ZegoTranslationLanguage.cy, "威尔士语"),
            new TranslationLanguage(ZegoTranslationLanguage.da, "丹麦语"),
            new TranslationLanguage(ZegoTranslationLanguage.de, "德语"),
            new TranslationLanguage(ZegoTranslationLanguage.dv, "马尔代夫语"),
            new TranslationLanguage(ZegoTranslationLanguage.el, "希腊语"),
            new TranslationLanguage(ZegoTranslationLanguage.es, "西班牙语"),
            new TranslationLanguage(ZegoTranslationLanguage.et, "爱沙尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.eu, "巴斯克语"),
            new TranslationLanguage(ZegoTranslationLanguage.fa, "波斯语"),
            new TranslationLanguage(ZegoTranslationLanguage.fi, "芬兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.fil, "菲律宾语"),
            new TranslationLanguage(ZegoTranslationLanguage.fj, "斐济语"),
            new TranslationLanguage(ZegoTranslationLanguage.fo, "法罗语"),
            new TranslationLanguage(ZegoTranslationLanguage.fr, "法语"),
            new TranslationLanguage(ZegoTranslationLanguage.fr_ca, "法语(加拿大)"),
            new TranslationLanguage(ZegoTranslationLanguage.ga, "爱尔兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.gl, "加利西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.gu, "古吉拉特语"),
            new TranslationLanguage(ZegoTranslationLanguage.he, "希伯来语"),
            new TranslationLanguage(ZegoTranslationLanguage.hi, "印地语"),
            new TranslationLanguage(ZegoTranslationLanguage.hr, "克罗地亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.hsb, "上索布语"),
            new TranslationLanguage(ZegoTranslationLanguage.ht, "海地克里奥尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.hu, "匈牙利语"),
            new TranslationLanguage(ZegoTranslationLanguage.hy, "亚美尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.id, "印度尼西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ikt, "因纽纳敦语"),
            new TranslationLanguage(ZegoTranslationLanguage.is, "冰岛语"),
            new TranslationLanguage(ZegoTranslationLanguage.it, "意大利语"),
            new TranslationLanguage(ZegoTranslationLanguage.iu, "因纽特语"),
            new TranslationLanguage(ZegoTranslationLanguage.iu_Latn, "因纽特语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.ja, "日语"),
            new TranslationLanguage(ZegoTranslationLanguage.ka, "格鲁吉亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.kk, "哈萨克语"),
            new TranslationLanguage(ZegoTranslationLanguage.km, "高棉语"),
            new TranslationLanguage(ZegoTranslationLanguage.kmr, "库尔德语(北部)"),
            new TranslationLanguage(ZegoTranslationLanguage.kn, "卡纳达语"),
            new TranslationLanguage(ZegoTranslationLanguage.ko, "韩语"),
            new TranslationLanguage(ZegoTranslationLanguage.ku, "库尔德语(中部)"),
            new TranslationLanguage(ZegoTranslationLanguage.ky, "吉尔吉斯语(西里尔语)"),
            new TranslationLanguage(ZegoTranslationLanguage.lo, "老挝语"),
            new TranslationLanguage(ZegoTranslationLanguage.lt, "立陶宛语"),
            new TranslationLanguage(ZegoTranslationLanguage.lv, "拉脱维亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.lzh, "中文(文学)"),
            new TranslationLanguage(ZegoTranslationLanguage.mg, "马达加斯加语"),
            new TranslationLanguage(ZegoTranslationLanguage.mi, "毛利语"),
            new TranslationLanguage(ZegoTranslationLanguage.mk, "马其顿语"),
            new TranslationLanguage(ZegoTranslationLanguage.ml, "马拉雅拉姆语"),
            new TranslationLanguage(ZegoTranslationLanguage.mn_Cyrl, "蒙古语(西里尔文)"),
            new TranslationLanguage(ZegoTranslationLanguage.mn_Mong, "蒙古语(传统)"),
            new TranslationLanguage(ZegoTranslationLanguage.mr, "马拉地语"),
            new TranslationLanguage(ZegoTranslationLanguage.ms, "马来语(拉丁语系)"),
            new TranslationLanguage(ZegoTranslationLanguage.mt, "马耳他语"),
            new TranslationLanguage(ZegoTranslationLanguage.mww, "白苗语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.my, "缅甸"),
            new TranslationLanguage(ZegoTranslationLanguage.nb, "挪威语"),
            new TranslationLanguage(ZegoTranslationLanguage.ne, "尼泊尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.nl, "荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.or, "奥里亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.otq, "克雷塔罗奥托米语"),
            new TranslationLanguage(ZegoTranslationLanguage.pa, "旁遮普语"),
            new TranslationLanguage(ZegoTranslationLanguage.pl, "波兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.prs, "达里语"),
            new TranslationLanguage(ZegoTranslationLanguage.ps, "普什图语"),
            new TranslationLanguage(ZegoTranslationLanguage.pt, "葡萄牙语(巴西)"),
            new TranslationLanguage(ZegoTranslationLanguage.pt_pt, "葡萄牙语(葡萄牙)"),
            new TranslationLanguage(ZegoTranslationLanguage.ro, "罗马尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ru, "俄语"),
            new TranslationLanguage(ZegoTranslationLanguage.sk, "斯洛伐克语"),
            new TranslationLanguage(ZegoTranslationLanguage.sl, "斯洛文尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sm, "萨摩亚语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.so, "索马里语(阿拉伯语)"),
            new TranslationLanguage(ZegoTranslationLanguage.sq, "阿尔巴尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sr_Cyrl, "塞尔维亚语(西里尔)"),
            new TranslationLanguage(ZegoTranslationLanguage.sr_Latn, "塞尔维亚语(拉丁)"),
            new TranslationLanguage(ZegoTranslationLanguage.sv, "瑞典语"),
            new TranslationLanguage(ZegoTranslationLanguage.sw, "斯瓦希里语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.ta, "泰米尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.te, "泰卢固语"),
            new TranslationLanguage(ZegoTranslationLanguage.th, "泰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ti, "提格里尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.tk, "土库曼语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.tlh_Latn, "克林贡语"),
            new TranslationLanguage(ZegoTranslationLanguage.tlh_Piqd, "克林贡语(plqaD)"),
            new TranslationLanguage(ZegoTranslationLanguage.to, "汤加语"),
            new TranslationLanguage(ZegoTranslationLanguage.tr, "土耳其语"),
            new TranslationLanguage(ZegoTranslationLanguage.tt, "鞑靼语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.ty, "塔希提语"),
            new TranslationLanguage(ZegoTranslationLanguage.ug, "维吾尔语(阿拉伯语)"),
            new TranslationLanguage(ZegoTranslationLanguage.uk, "乌克兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ur, "乌尔都语"),
            new TranslationLanguage(ZegoTranslationLanguage.uz, "乌兹别克语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.vi, "越南语"),
            new TranslationLanguage(ZegoTranslationLanguage.yua, "尤卡坦玛雅语"),
            new TranslationLanguage(ZegoTranslationLanguage.yue, "粤语(繁体)"),
            new TranslationLanguage(ZegoTranslationLanguage.zu, "祖鲁语")
    };

    // 科大讯飞语音识别支持的语言
    public static final SpeechLanguage[] iflySttLanguages = new SpeechLanguage[] {
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN, "中文(普通话，简体)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_US, "英语(美国)"),
            new SpeechLanguage(ZegoSpeechLanguage.yue_CN, "粤语(中国)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_FR, "法语(法国)"),
            new SpeechLanguage(ZegoSpeechLanguage.it_IT, "意大利语(意大利)"),
            new SpeechLanguage(ZegoSpeechLanguage.ja_JP, "日语(日本)"),
            new SpeechLanguage(ZegoSpeechLanguage.ko_KR, "韩语(韩国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ru_RU, "俄语(俄罗斯)"),
            new SpeechLanguage(ZegoSpeechLanguage.th_TH, "泰语(泰国)"),
            new SpeechLanguage(ZegoSpeechLanguage.vi_VN, "越南语(越南)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_ES, "西班牙语(西班牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_DE, "德语(德国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_IL, "阿拉伯语(以色列)"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN_henan, "河南话"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN_shandong, "山东话"),
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN_sichuan, "四川话"),
            new SpeechLanguage(ZegoSpeechLanguage.id_ID, "印度尼西亚语(印度尼西亚)"),
    };

    // 科大讯飞翻译支持的语言
    public static final TranslationLanguage[] iflyTransLanguages = new TranslationLanguage[] {
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hans, "简体中文"),
            new TranslationLanguage(ZegoTranslationLanguage.en, "英语"),
            new TranslationLanguage(ZegoTranslationLanguage.ja, "日语"),
            new TranslationLanguage(ZegoTranslationLanguage.ko, "韩语"),
            new TranslationLanguage(ZegoTranslationLanguage.ru, "俄语"),
            new TranslationLanguage(ZegoTranslationLanguage.th, "泰语"),
            new TranslationLanguage(ZegoTranslationLanguage.es, "西班牙语"),
            new TranslationLanguage(ZegoTranslationLanguage.de, "德语"),
            new TranslationLanguage(ZegoTranslationLanguage.ar, "阿拉伯语"),
            new TranslationLanguage(ZegoTranslationLanguage.fr, "法语"),
            new TranslationLanguage(ZegoTranslationLanguage.pt, "葡萄牙语"),
            new TranslationLanguage(ZegoTranslationLanguage.af, "南非荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.am, "阿姆哈拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.az, "阿塞拜疆语"),
            new TranslationLanguage(ZegoTranslationLanguage.ba, "巴什基尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.be, "白俄罗斯语"),
            new TranslationLanguage(ZegoTranslationLanguage.bem, "别姆巴语"),
            new TranslationLanguage(ZegoTranslationLanguage.bg, "保加利亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.bi, "比斯拉马语"),
            new TranslationLanguage(ZegoTranslationLanguage.bn, "孟加拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.bs, "波斯尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ca, "加泰罗尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ceb, "宿务语"),
            new TranslationLanguage(ZegoTranslationLanguage.co, "科西嘉语"),
            new TranslationLanguage(ZegoTranslationLanguage.crs, "塞舌尔克里奥尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.cs, "捷克语"),
            new TranslationLanguage(ZegoTranslationLanguage.cy, "威尔士语"),
            new TranslationLanguage(ZegoTranslationLanguage.da, "丹麦语"),
            new TranslationLanguage(ZegoTranslationLanguage.de, "德语"),
            new TranslationLanguage(ZegoTranslationLanguage.ee, "埃维语"),
            new TranslationLanguage(ZegoTranslationLanguage.el, "希腊语"),
            new TranslationLanguage(ZegoTranslationLanguage.eo, "世界语"),
            new TranslationLanguage(ZegoTranslationLanguage.et, "爱沙尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.eu, "巴斯克语"),
            new TranslationLanguage(ZegoTranslationLanguage.fa, "波斯语"),
            new TranslationLanguage(ZegoTranslationLanguage.fi, "芬兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.fil, "菲律宾语"),
            new TranslationLanguage(ZegoTranslationLanguage.fj, "斐济语"),
            new TranslationLanguage(ZegoTranslationLanguage.fy, "弗里西语"),
            new TranslationLanguage(ZegoTranslationLanguage.ga, "爱尔兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.gd, "苏格兰盖尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.gl, "加利西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.gu, "古吉拉特语"),
            new TranslationLanguage(ZegoTranslationLanguage.ha, "豪萨语"),
            new TranslationLanguage(ZegoTranslationLanguage.haw, "夏威夷语"),
            new TranslationLanguage(ZegoTranslationLanguage.he, "希伯来语"),
            new TranslationLanguage(ZegoTranslationLanguage.hi, "印地语"),
            new TranslationLanguage(ZegoTranslationLanguage.hr, "克罗地亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ht, "海地克里奥尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.hu, "匈牙利语"),
            new TranslationLanguage(ZegoTranslationLanguage.hy, "亚美尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.id, "印度尼西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.ig, "伊博语"),
            new TranslationLanguage(ZegoTranslationLanguage.is, "冰岛语"),
            new TranslationLanguage(ZegoTranslationLanguage.it, "意大利语"),
            new TranslationLanguage(ZegoTranslationLanguage.jv, "印尼爪哇语"),
            new TranslationLanguage(ZegoTranslationLanguage.ka, "格鲁吉亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.kek, "凯克其语"),
            new TranslationLanguage(ZegoTranslationLanguage.kg, "刚果"),
            new TranslationLanguage(ZegoTranslationLanguage.kk, "哈萨克语"),
            new TranslationLanguage(ZegoTranslationLanguage.km, "高棉语"),
            new TranslationLanguage(ZegoTranslationLanguage.kn, "卡纳达语"),
            new TranslationLanguage(ZegoTranslationLanguage.ku, "库尔德语"),
            new TranslationLanguage(ZegoTranslationLanguage.ky, "吉尔吉斯语(西里尔语)"),
            new TranslationLanguage(ZegoTranslationLanguage.la, "拉丁语"),
            new TranslationLanguage(ZegoTranslationLanguage.lb, "卢森堡语"),
            new TranslationLanguage(ZegoTranslationLanguage.lg, "卢干达语"),
            new TranslationLanguage(ZegoTranslationLanguage.ln, "林加拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.lo, "老挝语"),
            new TranslationLanguage(ZegoTranslationLanguage.lt, "立陶宛语"),
            new TranslationLanguage(ZegoTranslationLanguage.lv, "拉脱维亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.mg, "马达加斯加语"),
            new TranslationLanguage(ZegoTranslationLanguage.mhr, "马里语"),
            new TranslationLanguage(ZegoTranslationLanguage.mi, "毛利语"),
            new TranslationLanguage(ZegoTranslationLanguage.mk, "马其顿语"),
            new TranslationLanguage(ZegoTranslationLanguage.ml, "马拉雅拉姆语"),
            new TranslationLanguage(ZegoTranslationLanguage.mn_Cyrl, "蒙古语(西里尔文)"),
            new TranslationLanguage(ZegoTranslationLanguage.mr, "马拉地语"),
            new TranslationLanguage(ZegoTranslationLanguage.mrj, "山地马里语"),
            new TranslationLanguage(ZegoTranslationLanguage.ms, "马来语(拉丁语系)"),
            new TranslationLanguage(ZegoTranslationLanguage.mt, "马耳他语"),
            new TranslationLanguage(ZegoTranslationLanguage.mww, "白苗语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.my, "缅甸"),
            new TranslationLanguage(ZegoTranslationLanguage.nb, "博克马尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.ne, "尼泊尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.nl, "荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.no, "挪威语"),
            new TranslationLanguage(ZegoTranslationLanguage.ny, "齐切瓦语"),
            new TranslationLanguage(ZegoTranslationLanguage.om, "奥罗莫语"),
            new TranslationLanguage(ZegoTranslationLanguage.os, "奥赛梯语"),
            new TranslationLanguage(ZegoTranslationLanguage.otq, "克雷塔罗奥托米语"),
            new TranslationLanguage(ZegoTranslationLanguage.pa, "旁遮普语"),
            new TranslationLanguage(ZegoTranslationLanguage.pap, "帕皮阿门托语"),
            new TranslationLanguage(ZegoTranslationLanguage.pl, "波兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ps, "普什图语"),
            new TranslationLanguage(ZegoTranslationLanguage.rn, "隆迪语"),
            new TranslationLanguage(ZegoTranslationLanguage.ro, "罗马尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.rw, "卢旺达语"),
            new TranslationLanguage(ZegoTranslationLanguage.sd, "信德语"),
            new TranslationLanguage(ZegoTranslationLanguage.sg, "桑戈语"),
            new TranslationLanguage(ZegoTranslationLanguage.si, "僧伽罗语"),
            new TranslationLanguage(ZegoTranslationLanguage.sk, "斯洛伐克语"),
            new TranslationLanguage(ZegoTranslationLanguage.sl, "斯洛文尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sm, "萨摩亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sn, "修纳语"),
            new TranslationLanguage(ZegoTranslationLanguage.so, "索马里语(阿拉伯语)"),
            new TranslationLanguage(ZegoTranslationLanguage.sq, "阿尔巴尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.sr_Cyrl, "塞尔维亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.st, "塞索托语"),
            new TranslationLanguage(ZegoTranslationLanguage.su, "印尼巽他语"),
            new TranslationLanguage(ZegoTranslationLanguage.sv, "瑞典语"),
            new TranslationLanguage(ZegoTranslationLanguage.sw, "斯瓦希里语"),
            new TranslationLanguage(ZegoTranslationLanguage.ta, "泰米尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.te, "泰卢固语"),
            new TranslationLanguage(ZegoTranslationLanguage.tg, "塔吉克语"),
            new TranslationLanguage(ZegoTranslationLanguage.tig, "提格雷语"),
            new TranslationLanguage(ZegoTranslationLanguage.tn, "茨瓦纳语"),
            new TranslationLanguage(ZegoTranslationLanguage.tk, "土库曼语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.to, "汤加语"),
            new TranslationLanguage(ZegoTranslationLanguage.tpi, "巴布亚皮钦语"),
            new TranslationLanguage(ZegoTranslationLanguage.tr, "土耳其语"),
            new TranslationLanguage(ZegoTranslationLanguage.ts, "聪加语"),
            new TranslationLanguage(ZegoTranslationLanguage.tt, "鞑靼语(拉丁语)"),
            new TranslationLanguage(ZegoTranslationLanguage.tw, "契维语"),
            new TranslationLanguage(ZegoTranslationLanguage.ty, "塔希提语"),
            new TranslationLanguage(ZegoTranslationLanguage.udm, "乌德穆尔特语"),
            new TranslationLanguage(ZegoTranslationLanguage.uk, "乌克兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ur, "乌尔都语"),
            new TranslationLanguage(ZegoTranslationLanguage.ug, "维吾尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.uz, "乌兹别克语"),
            new TranslationLanguage(ZegoTranslationLanguage.vi, "越南语"),
            new TranslationLanguage(ZegoTranslationLanguage.war, "瓦瑞语"),
            new TranslationLanguage(ZegoTranslationLanguage.xh, "南非科萨语"),
            new TranslationLanguage(ZegoTranslationLanguage.yi, "意第绪语"),
            new TranslationLanguage(ZegoTranslationLanguage.yo, "约鲁巴语"),
            new TranslationLanguage(ZegoTranslationLanguage.yua, "尤卡坦玛雅语"),
            new TranslationLanguage(ZegoTranslationLanguage.yue, "粤语(繁体)"),
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hant, "繁体中文"),
            new TranslationLanguage(ZegoTranslationLanguage.zu, "祖鲁语")
    };

    // 曲上云率实时语音翻译支持的语言
    public static final SpeechLanguage[] liveDataSttLanguages = new SpeechLanguage[] {
            new SpeechLanguage(ZegoSpeechLanguage.zh_CN, "中文(普通话，简体)"),
            new SpeechLanguage(ZegoSpeechLanguage.en_US, "英语(美国)"),
            new SpeechLanguage(ZegoSpeechLanguage.fr_FR, "法语(法国)"),
            new SpeechLanguage(ZegoSpeechLanguage.ar_EG, "阿拉伯语(埃及)"),
            new SpeechLanguage(ZegoSpeechLanguage.id_ID, "印度尼西亚语(印度尼西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.ja_JP, "日语(日本)"),
            new SpeechLanguage(ZegoSpeechLanguage.ms_MY, "马来语(马来西亚)"),
            new SpeechLanguage(ZegoSpeechLanguage.pt_PT, "葡萄牙语(葡萄牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.es_ES, "西班牙语(西班牙)"),
            new SpeechLanguage(ZegoSpeechLanguage.th_TH, "泰语(泰国)"),
            new SpeechLanguage(ZegoSpeechLanguage.vi_VN, "越南语(越南)"),
            new SpeechLanguage(ZegoSpeechLanguage.hi_IN, "印地语(印度)"),
            new SpeechLanguage(ZegoSpeechLanguage.ko_KR, "韩语(韩国)"),
            new SpeechLanguage(ZegoSpeechLanguage.tr_TR, "土耳其语(土耳其)"),
            new SpeechLanguage(ZegoSpeechLanguage.de_DE, "德语(德国)"),
            new SpeechLanguage(ZegoSpeechLanguage.it_IT, "意大利语(意大利)"),
            new SpeechLanguage(ZegoSpeechLanguage.ru_RU, "俄语(俄罗斯)")
    };

    // 曲上云率实时翻译支持的语言
    public static final TranslationLanguage[] iLiveDataTransLanguages = new TranslationLanguage[] {
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hans, "简体中文"),
            new TranslationLanguage(ZegoTranslationLanguage.en, "英语"),
            new TranslationLanguage(ZegoTranslationLanguage.zh_Hant, "中文(繁体)"),
            new TranslationLanguage(ZegoTranslationLanguage.vi, "越南语"),
            new TranslationLanguage(ZegoTranslationLanguage.tr, "土耳其语"),
            new TranslationLanguage(ZegoTranslationLanguage.fil, "菲律宾语（他加禄语）"),
            new TranslationLanguage(ZegoTranslationLanguage.th, "泰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ms, "马来语(拉丁语系)"),
            new TranslationLanguage(ZegoTranslationLanguage.sv, "瑞典语"),
            new TranslationLanguage(ZegoTranslationLanguage.ru, "俄语"),
            new TranslationLanguage(ZegoTranslationLanguage.pt, "葡萄牙语(巴西)"),
            new TranslationLanguage(ZegoTranslationLanguage.pl, "波兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.no, "挪威语"),
            new TranslationLanguage(ZegoTranslationLanguage.nl, "荷兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.ko, "韩语"),
            new TranslationLanguage(ZegoTranslationLanguage.ja, "日语"),
            new TranslationLanguage(ZegoTranslationLanguage.it, "意大利语"),
            new TranslationLanguage(ZegoTranslationLanguage.id, "印度尼西亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.fr, "法语"),
            new TranslationLanguage(ZegoTranslationLanguage.es, "西班牙语"),
            new TranslationLanguage(ZegoTranslationLanguage.el, "希腊语"),
            new TranslationLanguage(ZegoTranslationLanguage.de, "德语"),
            new TranslationLanguage(ZegoTranslationLanguage.ar, "阿拉伯语"),
            new TranslationLanguage(ZegoTranslationLanguage.hi, "印地语"),
            new TranslationLanguage(ZegoTranslationLanguage.bn, "孟加拉语"),
            new TranslationLanguage(ZegoTranslationLanguage.gu, "古吉拉特语"),
            new TranslationLanguage(ZegoTranslationLanguage.fa, "波斯语"),
            new TranslationLanguage(ZegoTranslationLanguage.ur, "乌尔都语"),
            new TranslationLanguage(ZegoTranslationLanguage.mr, "马拉地语"),
            new TranslationLanguage(ZegoTranslationLanguage.ml, "马拉雅拉姆语"),
            new TranslationLanguage(ZegoTranslationLanguage.te, "泰卢固语"),
            new TranslationLanguage(ZegoTranslationLanguage.kn, "卡纳达语"),
            new TranslationLanguage(ZegoTranslationLanguage.pa, "旁遮普语"),
            new TranslationLanguage(ZegoTranslationLanguage.ta, "泰米尔语"),
            new TranslationLanguage(ZegoTranslationLanguage.lo, "老挝语"),
            new TranslationLanguage(ZegoTranslationLanguage.km, "高棉语"),
            new TranslationLanguage(ZegoTranslationLanguage.my, "缅甸"),
            new TranslationLanguage(ZegoTranslationLanguage.he, "希伯来语"),
            new TranslationLanguage(ZegoTranslationLanguage.ro, "罗马尼亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.hu, "匈牙利语"),
            new TranslationLanguage(ZegoTranslationLanguage.cs, "捷克语"),
            new TranslationLanguage(ZegoTranslationLanguage.sk, "斯洛伐克语"),
            new TranslationLanguage(ZegoTranslationLanguage.hr, "克罗地亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.fi, "芬兰语"),
            new TranslationLanguage(ZegoTranslationLanguage.da, "丹麦语"),
            new TranslationLanguage(ZegoTranslationLanguage.bg, "保加利亚语"),
            new TranslationLanguage(ZegoTranslationLanguage.uk, "乌克兰语")
    };

    public static class SpeechLanguage {
        public ZegoSpeechLanguage speechLanguage;
        public String text;

        public SpeechLanguage(ZegoSpeechLanguage speechLanguage, String text) {
            this.speechLanguage = speechLanguage;
            this.text = text;
        }

        @Override
        public String toString() {
            return text;
        }
    }

    public static class TranslationLanguage {
        public ZegoTranslationLanguage translationLanguage;
        public String text;

        public TranslationLanguage(ZegoTranslationLanguage translationLanguage, String text) {
            this.translationLanguage = translationLanguage;
            this.text = text;
        }

        @Override
        public String toString() {
            return text;
        }
    }
}
