package im.zego.realtimetranslationdemo.permissions.support.manufacturer;

import android.Manifest;
import android.os.Build;

import im.zego.realtimetranslationdemo.permissions.support.PermissionSupportHelper;


/**
 * Created by rocket_wang on 2020/4/22.
 */
public class XIAOMI implements IPermissionSupport {

    @Override
    public boolean hasPermission(String permission) {
        if (permission.equalsIgnoreCase(Manifest.permission.CAMERA)) {
            if (!PermissionSupportHelper.isCameraCanUse()) {
                return false;
            }

            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
                if (!PermissionSupportHelper.isHasCameraPermission()) {
                    return false;
                }
            }
        }
        else if (permission.equalsIgnoreCase(Manifest.permission.RECORD_AUDIO)) {
//            if (!PermissionSupportHelper.isHasRecordPermission()) {
//                return PermissionSupportHelper.isSdkHasRecordPermission();
//            }
            // 为了首次请求权限
            // 小米2s无法做到已授权后通过这种方式再去获取授权状态，原因是sdk底层引擎为了效率而一直持有硬件麦克风资源
            // 但Android framework只允许麦克风同时存在一个input。
            // 所以此方案不行，和产品测试协商后的方案：先保持现状首次有权限申请，不影响正常使用
            PermissionSupportHelper.isHasRecordPermission();
        }

        return true;
    }

    @Override
    public void requestPermission(String permission) {

    }
}
